Skip to main content
GET
/
ai
/
tools
List AI tools
curl --request GET \
  --url https://api.wacht.dev/ai/tools \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "1234567890123456789",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z",
      "name": "Get User Info",
      "description": "Retrieves user information",
      "tool_type": "api",
      "deployment_id": "9876543210987654321",
      "configuration": {
        "type": "api",
        "endpoint": "https://api.example.com/users",
        "method": "GET",
        "authorization": {
          "authorize_as_user": true,
          "jwt_template_id": 123,
          "custom_headers": [
            {
              "name": "user_id",
              "field_type": "string",
              "required": true,
              "description": "User ID",
              "items_type": "string"
            }
          ]
        },
        "request_body_schema": [
          {
            "name": "user_id",
            "field_type": "string",
            "required": true,
            "description": "User ID",
            "items_type": "string"
          }
        ],
        "url_params_schema": [
          {
            "name": "user_id",
            "field_type": "string",
            "required": true,
            "description": "User ID",
            "items_type": "string"
          }
        ],
        "timeout_seconds": 30
      }
    }
  ],
  "has_more": true,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

API key authentication (format: Bearer {api_key})

Query Parameters

limit
integer
default:50

Number of items to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of items to skip

Required range: x >= 0

Search term to filter tools by name or description

Response

200 - application/json

List of AI tools

data
object[]

Array of items

has_more
boolean

Whether there are more items

limit
integer | null

Number of items returned per page

offset
integer | null

Number of items skipped